## org.eclipse.datatools.connectivity
Interface ICategory

    public interface ICategory

This interface is used for accessing functionality specific to connection profile categories.

Author:
  rcernich Created on Jan 15, 2004

Method Summary
`java.util.List` `getAssociatedProfiles()` Returns a List of IConnectionProfile objects that are direct children of this category
`java.util.List` `getChildCategories()` Returns a List of ICategory objects that are direct children of this category.
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`ICategory` `getParent()`

Method Detail

### getId

    java.lang.String getId()

  Returns:
    the id of this category

### getName

    java.lang.String getName()

  Returns:
    the name of this category

### getParent

    ICategory getParent()

  Returns:
    the parent of this category; null if no parent exists.

### getChildCategories

    java.util.List getChildCategories()

  Returns a List of ICategory objects that are direct children of this category.

  Returns:
    all child categories of this category

### getAssociatedProfiles

    java.util.List getAssociatedProfiles()

  Returns a List of IConnectionProfile objects that are direct children of this category

  Returns:
    all connection profiles within the specified container.